var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
/*
 * @Description:
 * @Version: 2.0
 * @Autor: zhanghang
 * @Email: suchiva@126.com
 * @Date: 2021-12-07 14:37:20
 * @LastEditors: zhanghang
 * @LastEditTime: 2021-12-08 11:54:47
 */
import { sendData } from "./request";
import { getPath, getPaths } from "../utils/index";
var document = require("@tarojs/runtime").document;
export var initOptions;
import "../utils/myProxy";
var yryztrack = {
    /**
     * 初始化自动上报
     * @param options 初始化参数
     */
    init: function (options) {
        initOptions = {
            appKey: options.appKey,
            debug: options.debug || false,
            envVersion: options.envVersion || "dev",
            ignoreEventId: options.ignoreEventId || "",
            interval: options.interval || 10,
            frequency: options.frequency || 1000 * 60 * 5,
            url: options.url || "https://tj.yryz.com/log2.gif",
        };
        var _data = {
            behavior: "init",
            channel: "applet",
        };
        sendData(_data);
    },
    /**
     * 上报用户信息
     * @param userInfo 用户信息
     */
    setUserInfo: function (userInfo) {
        initOptions.userId = userInfo.userId;
        var _data = __assign({ behavior: "userInfo" }, userInfo);
        sendData(_data);
    },
    /**
     * 页面自定义埋点
     * @param eventId 页面埋点事件唯一标识符
     * @param data 唯一标识符对应所需埋点内容
     */
    pageTrack: function (eventId, data) {
        var _data = {
            behavior: "event",
            eventType: "custom",
            actionType: "page",
            pageName: getPath(),
            path: getPaths(),
            eventId: document
                .getElementById(eventId)
                .className.replace(/undefined/g, "")
                .trim()
                .replace(/( )/g, "_") || eventId,
            duration: 0,
            data: data,
            currentTime: new Date().valueOf(),
        };
        sendData(_data);
    },
    /**
     * 元素自定义埋点点击事件
     * @param eventId 元素埋点事件唯一标识符
     * @param data 唯一标识符对应所需埋点内容
     */
    track: function (eventId, obj) {
        var _data = __assign({ behavior: "event", eventType: "custom", actionType: "click", path: getPaths(), pageName: getPath(), eventId: document
                .getElementById(eventId)
                .className.replace(/undefined/g, "")
                .trim()
                .replace(/( )/g, "_") || eventId, currentTime: new Date().valueOf() }, obj);
        sendData(_data);
    },
};
export default yryztrack;
