import Taro from '@tarojs/taro';
/**
 * 获取页面pageName
 * @returns 页面pageName
 */
export var getPath = function () {
    var _a;
    var path = ((_a = Taro.getCurrentInstance().router) === null || _a === void 0 ? void 0 : _a.path) || "";
    // 去掉开头的 /，比如将 '/auto/home/index' 改为 'auto/home/index'
    return path.match(/^\/*/) ? path.replace(/^\/*/, "") : path;
};
/**
 * 页面链路
 * @returns 页面链路  e.g. pages/indexindex-pages/list/index
 */
export var getPaths = function () {
    var paths = Taro.getCurrentPages();
    if (paths.length > 2) {
        paths.map(function (item) {
            return item.route;
        }).slice(0, paths.length - 2);
        return paths.join('-');
    }
    else {
        return paths.map(function (item) {
            return item.route;
        }).join('-');
    }
};
/**
 * 获取设备型号
 * @returns 设备型号 e.g. iPhoneX  华为MateX
 */
export var getPhone = function () {
    return Taro.getSystemInfoSync().model;
};
/**
 * 拼接对象为请求字符串
 * @param obj - 待拼接的对象
 * @returns - 拼接成的请求字符串
 */
export var encodeSeachParams = function (obj) {
    var params = [];
    Object.keys(obj).forEach(function (key) {
        var value = obj[key];
        if (typeof value === 'undefined') {
            value = '';
        }
        // 对于需要编码的文本（比如说中文）我们要进行编码
        params.push([key, encodeURIComponent(value)].join('='));
    });
    return params.join('&');
};
