/*
 * @Description:
 * @Version: 2.0
 * @Autor: zhanghang
 * @Email: suchiva@126.com
 * @Date: 2021-12-07 11:08:10
 * @LastEditors: zhanghang
 * @LastEditTime: 2021-12-08 09:26:35
 */
export interface YryztrackInitProps {
  /**
   * 申请的key
   */
  appKey: string;
  /**
   * 开启打印调试信息， 默认 false
   */

  debug?: boolean;
  /**
   * userId上报，初始化时可不传，会在上报用户信息时，自动覆盖
   */
  userId?: string;
  /**
   * 环境标识符：dev、test、mo、prod, 默认为dev环境
   */
  envVersion: string;
  /**
   * 忽略上报唯一标识符, 默认是taro经过编译之后_n_标识符
   */
  ignoreEventId?: string;
  frequency?: number;
  interval?: any;
  url?: any;
  deviceId?: any;
}

/**
 * 上报数据入口
 */
declare const yryztrack: {
  /**
   * 初始化方法
   * @param options 初始化参数
   */
  init(options: YryztrackInitProps): void;
  /**
   * 上报用户信息，建议在登录成功之后调用
   * @param userInfo 用户信息
   */
  setUserInfo(userInfo: any): void;
  /**
   * 页面上报数据接口
   * @param eventId 事件唯一标识符
   * @param data 上报数据
   */
  pageTrack(eventId: string, data: any): void;
  /**
   * 自动埋点上报数据
   * @param eventId 事件唯一标识符
   * @param obj 上报数据
   */
  track(eventId: string, obj: any): void;
};

export default yryztrack;
